Bug 1255163 - Review Request: ChessPP - Recreation of the classic game of chess using the C++ programming language
Review Request: ChessPP - Recreation of the classic game of chess using the C...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
: FutureFeature
Depends On:
Blocks: FE-Legal FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2015-08-19 15:55 EDT by Raphael Groner
Modified: 2015-12-17 11:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 11:29:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-08-19 15:55:41 EDT
Spec URL: https://raphgro.fedorapeople.org/review/chess/chesspp/chesspp.spec
SRPM URL: https://raphgro.fedorapeople.org/review/chess/chesspp/chesspp-1.0-1.fc22.src.rpm
Description: Recreation of the classic game of chess using the C++ programming language
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10758105

No rpmlint warnings mentioned in fedora-review.
Comment 1 Christian Dersch 2015-08-19 16:05:20 EDT
Please clarify licensing before you go on! License tag in spec:

# guessing something cause no license provided, https://github.com/oedead26/ChessPP/issues/1
License:        MIT

Very bad (even no) solution
Comment 2 Raphael Groner 2015-08-19 16:21:27 EDT
Question to FE-Legal: If upstream does not mention any explicit license, can we assume allowness to (re-)distribute as MIT or GPLv3+ generally? But let's wait what upstream says.
Comment 3 Raphael Groner 2015-08-19 16:57:23 EDT
""Generally speaking, the absence of a license means that the default copyright laws apply. This means that you retain all rights to your source code and that nobody else may reproduce, distribute, or create derivative works from your work. This might not be what you intend.
Even if this is what you intend, if you publish your source code in a public repository on GitHub, you have accepted the Terms of Service which do allow other GitHub users some rights. Specifically, you allow others to view and fork your repository.""
https://help.github.com/articles/open-source-licensing/
Comment 4 Kevin Kofler 2015-08-19 18:50:44 EDT
No license = non-free, sorry. (And even the repository for non-free stuff will not want to touch this without a clear permission to redistribute.)

You need to contact the upstream author requesting the specification of a Free Software license (and while you are at it, also the inclusion of build scripts – README.md talks about using qmake, but I can't find the .pro file; it shouldn't really be the packager's job to write a CMakeLists.txt as you did). I see from the comments in the specfile that there are already GitHub issues filed for those issues, so all you can do now is wait for upstream to address at least the licensing one.
Comment 5 Raphael Groner 2015-08-20 04:46:26 EDT
Okay, I've removed the files from fedorapeople.org and wait for upstream feedback about license clarification in the reported issue [1].

[1] https://github.com/oedead26/ChessPP/issues/1

Not sure what is meant with qmake, I think using cmake is good. The guess is that upstream development happens on a Redmond OS cause the source is using some functionality that's available there only but could be patched and I'm going to do so with an comparable but more standardized replacement.
Comment 6 Kevin Kofler 2015-08-20 05:17:17 EDT
I'm mentioning qmake because their README.md says:

> Usage
> Either download one of the precompiled binaries (for x86 or x64 Windows
> machines) or compile the source code using qmake. The program is
> cross-platform.

But I cannot find any qmake .pro file either. There are no build scripts of any kind in their GitHub repository, at least none that I can find.
Comment 7 Kevin Kofler 2015-08-20 05:20:18 EDT
> Not sure what is meant with qmake, I think using cmake is good. The guess is
> that upstream development happens on a Redmond OS

It does, see what binaries they say they provide.
Comment 8 Kevin Kofler 2015-08-20 05:53:08 EDT
I added some explanations to the upstream issues you filed. You cannot really assume that students working on proprietary operating systems are familiar with Free Software, GNU/Linux and freedesktop.org concepts such as Free Software licensing or .desktop files.
Comment 9 Raphael Groner 2015-09-19 15:25:25 EDT
Maybe "Freely redistributable without restriction"?
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22Distributable.22

Or maybe "Public Domain"?
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Public_Domain
Comment 10 Kevin Kofler 2015-09-20 20:35:25 EDT
Well, whatever upstream decides. You cannot do anything without upstream there, they own the copyright, so they're the only ones who can change the license (or in this case, add one).
Comment 11 Raphael Groner 2015-12-17 11:29:36 EST
Upstream did not respond till now about license issue, so I'll close this request for now.

Note You need to log in before you can comment on or make changes to this bug.